#!/usr/bin/perl
#                   - mySQL interface module -                #
# This script created on Jul 1999 by Web Programming Services #
# http://www.fido7.com/services/              yuryk@fido7.com #
#                                                             #
###############################################################

use Mysql;

### Setup variables ###

$databasehost="";
$database="";
$databaseuser="";
$databasepass="";
$databasedrv="mysql";


### Subs ###

sub SQLconnect {
  if ($dbh) {return};
  if ( ! ( $dbh = Mysql->Connect($databasehost,$database,$databaseuser,$databasepass) ) )
  { &show_error ("SQL Connect Error: $Mysql::db_errstr"); }
}

sub SQLquery {
  local($q)=shift;
  $sth=$dbh->query($q);
  if (!$sth) { &show_error("Error performing query: ".$dbh->errmsg()."<br>Query: $q") }
}

sub SQLfetchrow {
  return $sth->fetchrow();
}

sub SQLfetchhash {
  return $sth->fetchhash();
}

sub SQLnumrows {
  return $sth->numrows;
}

sub SQLprepare {
  foreach $uk(keys %user) {
    $user{$uk}=~s/\'/{sq}/g;
    $user{$uk}=~s/\n/{nl}/g;
    $user{$uk}=~s/\cM//g;
  }
}

sub SQLunprepare {
  foreach $uk(keys %user) {
    $user{$uk}=~s/{sq}/\'/g;
    $user{$uk}=~s/{nl}/\n/g;
  }
}

sub SQLunprepareStr {
  local($sustr)=$_[0];
  $sustr=~s/{sq}/\'/g;
  $sustr=~s/{nl}/\n/g;
  return $sustr;
}

sub showerror {
  print "$_[0]\n";
}

1;