#!/usr/bin/perl
#                   - mSQL interface module -                 #
# This script created on Mar 1999 by Web Programming Services #
# http://www.fido7.com/services/              yuryk@fido7.com #
#                                                             #
###############################################################

use Msql;

### Setup variables ###

$database="fido7";
$databasehost="";
$databasedrv="msql";


### Subs ###

sub SQLconnect {
  if ($dbh) {return};
  if ( ! ( $dbh = Msql->Connect($databasehost,$database) ) )
  { &showerror ("mSQL Connect Error: ".Msql->errmsg()); }
}

sub SQLquery {
  local($q)=shift;
  $sth=$dbh->query($q);
  if (!$sth) { &showerror("Error performing query: ".$dbh->errmsg()."<br>Query: $q") }
}

sub SQLfetchrow {
  return $sth->fetchrow();
}

sub SQLfetchhash {
  return $sth->fetchhash();
}

sub SQLnumrows {
  return $sth->numrows;
}

sub SQLprepare {
  foreach $uk(keys %user) {
    $user{$uk}=~s/\'/{sq}/g;
    $user{$uk}=~s/\n/{nl}/g;
    $user{$uk}=~s/\cM//g;
  }
}

sub SQLunprepare {
  foreach $uk(keys %user) {
    $user{$uk}=~s/{sq}/\'/g;
    $user{$uk}=~s/{nl}/\n/g;
  }
}

sub SQLunprepareStr {
  local($sustr)=$_[0];
  $sustr=~s/{sq}/\'/g;
  $sustr=~s/{nl}/\n/g;
  return $sustr;
}


1;